Skip to main content
GET
/
abdm
/
uhi
/
v1
/
physical-consultation
/
booking
/
init
cURL
curl --request GET \
  --url https://api.eka.care/abdm/uhi/v1/physical-consultation/booking/init \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.eka.care/abdm/uhi/v1/physical-consultation/booking/init"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.eka.care/abdm/uhi/v1/physical-consultation/booking/init', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "billing": {
    "address": "<string>",
    "email": "<string>",
    "name": "<string>",
    "phone": "<string>"
  },
  "consultation": {
    "end_time": "<string>",
    "slot_id": "<string>",
    "start_time": "<string>",
    "type": "<string>"
  },
  "doctor": {
    "doctor_gender": "<string>",
    "doctor_image": "<string>",
    "id": "<string>",
    "name": "<string>",
    "tags": [
      "<string>"
    ]
  },
  "facility_id": "<string>",
  "order_id": "<string>",
  "patient": {
    "dob": "<string>",
    "gender": "<string>",
    "id": "<string>"
  },
  "payment": {
    "status": "<string>",
    "type": "<string>"
  },
  "quote": {
    "breakup": [
      {
        "title": "<string>",
        "value": "<string>"
      }
    ],
    "total": "<string>"
  },
  "terms": [
    {
      "long_desc": "<string>",
      "short_desc": "<string>",
      "terms_state": "<string>",
      "type": "<string>"
    }
  ]
}
{
"code": 123,
"error": "<string>",
"source_error": {
"code": "<string>",
"message": "<string>"
}
}
{
"code": 123,
"error": "<string>",
"source_error": {
"code": "<string>",
"message": "<string>"
}
}

Authorizations

Authorization
string
header
required

The API requires a Bearer token (JWT) for authentication.

Headers

X-Pt-Id
string

Eka User ID (OID)

X-Partner-Pt-Id
string

Partner User ID

X-Hip-Id
string

Partner HIP ID

Query Parameters

txn_id
string
provider_id
string

Unique Identifier of a Provider in the system.

order_id
string

Unique Identifier of any booking.

Response

OK

billing
object
consultation
object
doctor
object
facility_id
string
order_id
string
patient
object
payment
object
quote
object
terms
object[] | null